/* Forms */

/* Contact Form 7 forms */
body {
	.page-wrapper {
		.wpcf7 {
			width: 100%;
			max-width: 700px;
			background-color: #fff;

			form {
				h1 {
					padding-left: 20px;
					margin: 0 0 30px 0;
					font-size: 36px;
					font-weight: bold;
					@media only screen and (max-width: 768px) {
						font-size: 26px;
						margin: 0 0 20px 0;
						padding-left: 0;
					}
				}

				p {
					width: 100%;
					margin-bottom: 0;
				}

				.form-row {
					margin-right: 0;
					margin-left: 0;
					padding: 14px 10px 12px 10px;
					border-bottom: 1px solid #c9c9c9;
					@media only screen and (max-width: 768px) {
						padding: 10px 10px 8px 0;
					}       

					input, textarea {
						display: block;
						width: 100%;
						padding: 10px 10px 10px 10px;
						margin-bottom: 0 !important;
						font-family: var(--tl-general-font);
						font-size: 16px;
						font-weight: normal;
						font-weight: normal;
						font-variation-settings: 'wght' 400;
						text-transform: none;
						border: none;
						@media only screen and (max-width: 768px) {
							padding-left: 0;
						}

						&::placeholder {
							font-weight: normal;
							font-size: 16px;
						}
					}

					textarea {
						height: 7em;
					}
					
					input[type="checkbox"] {
						-webkit-appearance: auto;
						width: auto;
					}
					
					.wpcf7-checkbox {
						> span > label {
							padding: 10px;
							margin: 0;
							@media only screen and (max-width: 768px) {
								padding-left: 0;
							}
						}
						
						.wpcf7-list-item {
							margin-left: 0;
						}
						
						label {
							display: flex;
							gap: 10px;
							color: #000;
							font-size: 16px;
						}
					}

					.custom-file-upload {
						width: 100%;
						display: inline-block;
						padding: 10px;
						margin-bottom: 0;
						cursor: pointer;
						font-family: var(--tl-general-font);
						font-size: 16px;
						line-height: 1;
						color: #000;
						background-image: url('/wp-content/themes/rmtheme/assets/icons/icon-upload-1.0.svg');
						background-repeat: no-repeat;
						background-position: right 15px center;
						background-size: 15px;
						appearance: none;

						input[type="file"] {
							display: none;
						}
					}

					.wpcf7-not-valid-tip, .message-file-name, .error-message-file-upload {
						padding: 0 0 0 10px;
						@media only screen and (max-width: 768px) {
							padding-left: 0;
						}
					}

					&.form-row-country {
						margin-bottom: 0;

						input {
							line-height: 1;
						}
					}

					&.interested, &.form-row-checkbox {
						padding: 24px 20px 22px 20px;
						border: none;
						border-bottom: 1px solid #c9c9c9;
						@media only screen and (max-width: 768px) {
							padding-left: 0;
						}

						h3 {
							font-size: 16px;
						}

						.interested_checkboxes {
							display: flex;
							flex-direction: column;
							gap: 6px;
						}

						.wpcf7-list-item {
							align-items: flex-start !important;
							margin: 0 0 0 0;

							input[type="checkbox"] {
								margin: 5px 6px 0 0 !important;
								-webkit-appearance: auto;
								@media only screen and (max-width: 768px) {
									margin: 3px 6px 0 0 !important;
								}
							}

							.wpcf7-list-item-label {
								font-size: 16px;
								font-weight: normal;
								@media only screen and (max-width: 768px) {
									font-size: 14px;
								}
							}
						}

						&.form-row-checkbox {
							border-bottom: none;
						}
					}

					&.interested {
						.wpcf7-not-valid-tip {
							padding-left: 0;
						}
					}

					&:last-of-type {
						border-bottom: none;
					}
				}
				
				[data-id="group-salutation"] {
					.form-row {
						border-bottom: 1px solid #c9c9c9;
					}
				}

				.wpcf7-submit {
					width: 100%;
					padding: 12px 10px 10px 10px;
					border: 1px solid #000;
					text-transform: uppercase;
					background-color: #000;
					color: #fff;
					font-family: var(--tl-general-font);
					font-size: 16px;
					font-weight: bold;
					transition: all 150ms ease-in-out;
				}

				.email-us {
					text-align: center;
					font-size: 14px;

					a {
						color: #000;
						font-weight: 400 !important;
						font-variation-settings: 'wght' 400;
					}
				}
			}
		}
	}
}